package jp.ac.kyutech.mns.ist.sheetmap;


import java.awt.Dimension;
import java.util.ArrayList;

import jp.ac.kyutech.mns.ist.util.CameraFitConstraint;
import edu.umd.cs.piccolo.PCamera;
import edu.umd.cs.piccolo.nodes.PPath;

public class PMenuBar extends PPath {
	private static final long serialVersionUID = 1776018940471391776L;

	PCamera camera;
	float base_transparency = 0.9f;
	Thread transparencyThread = null;
	boolean quitTransparencyThread = true;
	ArrayList<CameraFitConstraint> cfcList;

	public PMenuBar(PCamera _cam, CameraFitConstraint.PositionEnum pos){
		camera = _cam;
		setTransparency(base_transparency);
		camera.addChild(this);
		CameraFitConstraint cfc = new CameraFitConstraint(this, camera, pos, new Dimension());
		cfc.fitTo(camera.getBoundsReference());
		camera.addPropertyChangeListener(cfc);
	}
}
